Get Index Groups
curl --request GET \
--url https://api.aries.com/v1/indices/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/indices/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indices/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"indexGroups": [
{
"description": "CBOE Data Services CMSI – Crypto Feed",
"name": "IND_CBOC"
},
{
"description": "CBOE Global Indices",
"name": "IND_CBOCGI"
},
{
"description": "CBOE Data Services CMSI – FTSE",
"name": "IND_CBOF"
},
{
"description": "CBOE Data Services CMSI – iNAV",
"name": "IND_CBOI"
},
{
"description": "CBOE Data Services CSMI",
"name": "IND_CBOM"
},
{
"description": "CBOE Data Services CSMI - Morningstar",
"name": "IND_CBOMSTAR"
},
{
"description": "Dow Jones Indices",
"name": "IND_DJI"
},
{
"description": "Nasdaq Global Index Data Service",
"name": "IND_GIDS"
},
{
"description": "NYSE Global Indices",
"name": "IND_GIF"
},
{
"description": "S&P Complete Indices",
"name": "IND_SPF"
},
{
"description": "Bm_Fbovespa S.A. - Bolsa De Valores, Mercadorias E Futuros",
"name": "INDBVMF"
},
{
"description": "National Stock Exchange Of India",
"name": "INDXNSE"
},
{
"description": "Borse Stuttgart",
"name": "INDXSTU"
},
{
"description": "Toronto Stock Exchange",
"name": "INDXTSE"
}
]
}Indices
Index Groups
Retrieve list of available market index categories such as equity, fixed income, commodities, and regional indices. Explore different index families and asset classes.
Use Case: Build a navigation menu showing all index categories from equity to commodities.
GET
/
v1
/
indices
/
groups
Get Index Groups
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
FlowAuthorization Code
- Authorization URL
- https://app.aries.com/oauth2/authorize
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
FlowClient Credentials
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
Scopes1
market:supplemental
News, company profiles, financials, filings, ETF data, technical analysis
Response
Successful response with list of index groups
Array of available index groups
Show child attributes
Show child attributes
Was this page helpful?